System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElement

This class corresponds to the Socket Element (Network Settings) configuration element.

This class provides programmatic access to information that can be stored in configuration files.

This class is used to specify whether completion ports are used for connecting, whether completion ports are used for accepting connections, and the default IP protection level for an IPv6 socket.

Represents information used to configure objects. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor adds the and properties to the collection.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("alwaysUseCompletionPortsForAccept", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether completion ports are used when accepting connections.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("alwaysUseCompletionPortsForConnect", DefaultValue=Mono.Cecil.CustomAttributeArgument)
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value that specifies whether completion ports are used when making connections.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added.

  The collection contains three elements, which correspond to the , , and properties.

  Gets the collection of properties for the current instance.